## GstFFMpegVidEnc GstFFMpegVidEnc |

## Types and Values

struct | GstFFMpegVidEnc
struct | GstFFMpegVidEncClass

## Description

## Functions

## Types and Values

### struct GstFFMpegVidEnc

    struct GstFFMpegVidEnc {
      GstVideoEncoder parent;

      GstVideoCodecState *input_state;

      AVCodecContext *context;
      AVFrame *picture;
      gboolean opened;
      gboolean discont;

      /* cache */
      gint bitrate;
      gint me_method;
      gint gop_size;
      gint buffer_size;
      gint rtp_payload_size;
      gint compliance;
      gint max_threads;

      guint8 *working_buf;
      gsize working_buf_size;

      /* settings with some special handling */
      guint pass;
      gfloat quantizer;
      gchar *filename;
      guint lmin;
      guint lmax;
      gint max_key_interval;
      gboolean interlaced;

      /* statistics file */
      FILE *file;

      /* other settings are copied over straight,
       * include a context here, rather than copy-and-past it from avcodec.h */
      AVCodecContext config;
    };

### struct GstFFMpegVidEncClass

    struct GstFFMpegVidEncClass {
      GstVideoEncoderClass parent_class;

      AVCodec *in_plugin;
      GstPadTemplate *srctempl, *sinktempl;
    };